﻿$ErrorActionPreference = 'Stop'

$packageName = 'arq'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = 'https://www.arqbackup.com/download/arqbackup/Arq7.msi'
$checksum = 'be05a97f800d6284d7dd9fb82b5bee4785f766d1aa127af4572e2ffdfd915ddc'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'MSI'
    url            = $url
    validExitCodes = @(0, 3010, 1641, 1920, 1603)
    silentArgs     = '/quiet /norestart'
    softwareName   = 'ARQ'
    checksum       = $checksum
    checksumType   = 'sha256'
}

Install-ChocolateyPackage @packageArgs
